## dbus 1.6.4

=== debian/changelog ===
dbus (1.6.4-1ubuntu4) quantal-proposed; urgency=low

  * debian/patches/CVE-2012-3524-regression-fix.patch: updated to fix test
    suite.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 14:41:36 -0400

dbus (1.6.4-1ubuntu3) quantal-proposed; urgency=low

  * REGRESSION FIX: some applications launched with the activation helper
    may need DBUS_STARTER_ADDRESS. (LP: #1058343)
    - debian/patches/CVE-2012-3524-regression-fix.patch: hardcode the
      starter address to the default system bus address.
  * Fix unclean shutdown after dbus upgrade (LP: #740390)
    - debian/libdbus-1-3.postinst: trigger an upstart re-exec before
      shutdown or reboot so that it can safely unmount the root
      filesystem.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 07:14:40 -0400

dbus (1.6.4-1ubuntu2) quantal-proposed; urgency=low

  * SECURITY UPDATE: privilege escalation via unsanitized environment
    - debian/patches/CVE-2012-3524-dbus.patch: Don't access environment
      variables or run dbus-launch when setuid in configure.ac,
      dbus/dbus-keyring.c, dbus/dbus-sysdeps*
    - CVE-2012-3524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Sep 2012 08:57:33 -0400

dbus (1.6.4-1ubuntu1) quantal-proposed; urgency=low

  * Upload to quantal (lp: #1014850)
  * debian/control:
    - use "Breaks: unity-services (<< 6.0.0-0ubuntu6)", the new dbus 
      eavedropping protection was creating issues with previous versions
    
  [ Iain Lane ]
  * Merge with Debian experimental for the new stable series. Remaining Ubuntu
    changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart.
      + debian/control: Add upstart dependency.
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - Add 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.
      Disable patches since they do not apply and this facility is unused
      anyway.
  * Remove systemd BDs; not appropriate for Ubuntu.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Aug 2012 12:05:38 +0200

dbus (1.6.4-1) experimental; urgency=low

  * gbp.conf: switch to experimental branch
  * New upstream stable release
    - remove incorrect assertion and have correct default for developer mode
      (Closes: #680027, differently)

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jul 2012 18:42:52 +0100

dbus (1.6.2-2) unstable; urgency=low

  * Disable "developer mode", which was intended to be off-by-default,
    but was incorrectly on-by-default in 1.6.2, causing an incorrect
    assertion to be hit when starting fcitx before dbus-launch.
    (Closes: #680027)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jul 2012 19:33:42 +0100

dbus (1.6.2-1) unstable; urgency=low

  * New upstream stable release
    - dbus-launch --exit-with-session no longer monitors its stdin if
      run under X11 (Closes: #453755)
  * Remove the workaround for #453755 from dbus-Xsession

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jun 2012 18:22:20 +0100

dbus (1.6.0-1) unstable; urgency=low

  * Merge from "experimental" (1.5.12 was accidentally uploaded to unstable)
  * New upstream stable release
  * debian/watch: only match stable (0.even.x) releases

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Jun 2012 14:23:46 +0100

dbus (1.5.12-1) unstable; urgency=low

  * Merge from unstable
  * New upstream release
    - adds new API
  * Standards-Version: 3.9.3 (no changes)
  * Remove lintian override for #629648, hopefully the ftpmasters are using
    lintian 2.5.1 by now
  * Add lintian overrides for the empty directories we (intentionally) ship
  * Don't run dh_makeshlibs on dbus-1-dbg, nothing should be linking to its
    extra-debug-enabled build of the library
  * Register D-Bus documentation in doc-base

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 18:36:38 +0100

dbus (1.4.20-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with GLib 2.32 (Closes: #665665)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 13:33:33 +0100

=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Loic Minier <lool@dooz.org>,
           Simon McVittie <smcv@debian.org>
# The following packages can be omitted for bootstrapping, but provide extra
# features:
#   libsystemd-daemon-dev (circular dependency)
#   libsystemd-login-dev (circular dependency)
# The following packages can be omitted for bootstrapping, but improve test
# coverage:
#   libdbus-glib-1-dev (circular dependency)
#   libglib2.0-dev
#   python
#   python-dbus (circular dependency)
#   python-gobject
Build-Depends: automake (>= 1:1.10),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               dpkg-dev (>= 1.16.1),
               libexpat-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.31.4),
               libselinux1-dev [linux-any],
#              libsystemd-daemon-dev (>= 32) [linux-any],
#              libsystemd-login-dev (>= 32) [linux-any],
               libx11-dev,
               python (>= 2.6),
               python-dbus,
               python-gobject,
               xmlto,
               xsltproc
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus.git
Homepage: http://dbus.freedesktop.org/

Package: dbus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         lsb-base (>= 3.2-14),
         upstart (>= 0.6.3-6),
         netbase (>= 4.45ubuntu3),
Breaks: unity-services (<< 6.0.0-0ubuntu6)
Suggests: dbus-x11
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-x11
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Breaks: x11-common (<< 1:7.5+4)
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: kdebase-workspace-bin (<< 4:4.4.5-9),
        kde-window-manager (<< 4:4.4.5-9)
Recommends: dbus
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: dbus-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libdbus-1-dev
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         pkg-config
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-1-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         dbus (= ${binary:Version}),
         dbus-x11 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: simple interprocess messaging system (debug symbols)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides support for debugging programs that use the core
 D-Bus shared library.
 .
 See the dbus package description for more information about D-Bus in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright  2011 Michael Biebl <biebl@debian.org>

include /usr/share/dpkg/default.mk

%:
	dh $@ --builddirectory=build --with autoreconf --parallel

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))

LDFLAGS += -Wl,--as-needed

common_configure_flags := \
		--disable-silent-rules \
		--disable-libaudit \
		--enable-installed-tests \
		--libexecdir=\$${prefix}/lib/dbus-1.0 \
		--with-systemdsystemunitdir=/lib/systemd/system \
		$(NULL)

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		--exec-prefix=/ \
		--enable-xml-docs \
		--enable-doxygen-docs \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(NULL)
	dh_auto_configure \
		--builddirectory=build-debug \
		-- \
		$(common_configure_flags) \
		--disable-xml-docs \
		--disable-doxygen-docs \
		--enable-asserts \
		--enable-checks \
		--enable-tests \
		--enable-verbose-mode \
		--prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build \
		--libdir='$${prefix}/lib' \
		$(NULL)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-debug

# tests need more environmental setup at the moment
override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install
	make -C build-debug install-exec DESTDIR=$(CURDIR)/debian/tmp

override_dh_link:
	dh_link -plibdbus-1-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so)) usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so
	dh_link --remaining-packages

# if bootstrapping (without dbus-glib), no tests will get installed - create
# the directory in case that's happened, so the .install file doesn't need
# modification
override_dh_install:
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/test
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.la
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build/lib/libdbus-1.la
	dh_install -p$(libdbusN) \
		"usr/lib/$(DEB_HOST_MULTIARCH)/$(libdbus_soname)*" \
		lib/$(DEB_HOST_MULTIARCH)
	dh_install --remaining-packages --list-missing
	install -m 644 -D debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/75dbus_dbus-launch

override_dh_installinit:
	dh_installinit -pdbus -r -- start 12 2 3 4 5 .

# we don't want docs for the debug symbols, just symlink to the library docs
override_dh_installdocs:
	dh_installdocs -pdbus-1-dbg --link-doc=$(libdbusN)
	dh_installdocs --remaining-packages --all AUTHORS NEWS README

override_dh_strip:
	dh_strip --dbg-package=dbus-1-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V -Ndbus-1-dbg

override_dh_autoreconf:
	cp INSTALL INSTALL.orig
	dh_autoreconf
	mv INSTALL.orig INSTALL

override_dh_autoreconf_clean:
	cp INSTALL INSTALL.orig
	dh_autoreconf_clean
	mv INSTALL.orig INSTALL

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=build-debug
	rm -f build/test/data/valid-config-files/session.conf
	rm -f build/test/data/valid-config-files/system.conf
	rm -f build-debug/test/data/valid-config-files/session.conf
	rm -f build-debug/test/data/valid-config-files/system.conf
	rm -f dbus.devhelp

## dbus 1.6.8

=== cmake/bus/CMakeLists.txt ===
project(bus)

add_definitions(-DDBUS_COMPILATION)

SET(EFENCE "")
SET(BUS_DIR ${CMAKE_SOURCE_DIR}/../bus)

set (config_DATA
	session.conf				
	system.conf
)

# config files for installation 
CONFIGURE_FILE( "${BUS_DIR}/session.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/session.conf" IMMEDIATE @ONLY)
CONFIGURE_FILE( "system.conf.cmake" "${CMAKE_CURRENT_BINARY_DIR}/system.conf" IMMEDIATE @ONLY)

# copy services for local daemon start to local service dir data/dbus-1/services
SET (SERVICE_FILES test/data/valid-service-files)
FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${SERVICE_FILES}/*.service.in" )
FOREACH(FILE ${FILES})	
	GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME_WE)
	SET (TARGET ${CMAKE_BINARY_DIR}/data/dbus-1/services/${FILENAME}.service)
	IF (CONFIG_VERBOSE)
		MESSAGE("FROM: ${FILE}\nTO: ${TARGET}\n")
	ENDIF (CONFIG_VERBOSE)
	configure_file(${FILE} ${TARGET} )
ENDFOREACH(FILE)

if(DBUS_USE_EXPAT)
    SET (XML_SOURCES ${BUS_DIR}/config-loader-expat.c)
else(DBUS_USE_EXPAT)
    SET (XML_SOURCES ${BUS_DIR}/config-loader-libxml.c)
endif (DBUS_USE_EXPAT)

# after next cvs update
#set (DIR_WATCH_SOURCE ${BUS_DIR}/dir-watch-default.c)
set (DIR_WATCH_SOURCE )

set (BUS_SOURCES 
	${BUS_DIR}/activation.c				
	${BUS_DIR}/activation.h				
	${BUS_DIR}/bus.c					
	${BUS_DIR}/bus.h					
	${BUS_DIR}/config-parser.c				
	${BUS_DIR}/config-parser.h
    ${BUS_DIR}/config-parser-common.c
    ${BUS_DIR}/config-parser-common.h
#    ${BUS_DIR}/config-parser-trivial.c
	${BUS_DIR}/connection.c
	${BUS_DIR}/connection.h				
	${BUS_DIR}/desktop-file.c				
	${BUS_DIR}/desktop-file.h				
	${BUS_DIR}/dir-watch-default.c				
	${BUS_DIR}/dir-watch.h				
	${BUS_DIR}/dispatch.c				
	${BUS_DIR}/dispatch.h				
	${BUS_DIR}/driver.c				
	${BUS_DIR}/driver.h				
	${BUS_DIR}/expirelist.c				
	${BUS_DIR}/expirelist.h				
	${BUS_DIR}/policy.c				
	${BUS_DIR}/policy.h				
	${BUS_DIR}/selinux.h				
	${BUS_DIR}/selinux.c				
	${BUS_DIR}/services.c				
	${BUS_DIR}/services.h				
	${BUS_DIR}/signals.c				
	${BUS_DIR}/signals.h				
	${BUS_DIR}/test.c					
	${BUS_DIR}/test.h					
	${BUS_DIR}/utils.c					
	${BUS_DIR}/utils.h					
	${XML_SOURCES}
	${DIR_WATCH_SOURCE}
)
if(DBUS_ENABLE_STATS)
	list(APPEND BUS_SOURCES
		${BUS_DIR}/stats.c
		${BUS_DIR}/stats.h
	)
endif()

include_directories(${XML_INCLUDE_DIR})

add_executable(dbus-daemon ${BUS_SOURCES} ${BUS_DIR}/main.c)
target_link_libraries(dbus-daemon ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
set_target_properties(dbus-daemon PROPERTIES OUTPUT_NAME ${DBUS_DAEMON_NAME})
set_target_properties(dbus-daemon PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

install_targets(/bin dbus-daemon)
install_files(/etc/dbus-1 FILES ${config_DATA})
install(DIRECTORY .  DESTINATION etc/dbus-1/session.d  FILES_MATCHING PATTERN "*.conf")

if (DBUS_SERVICE)
	set (dbus_service_SOURCES 
		${BUS_DIR}/bus-service-win.c
	# TODO: add additional files
	#	${BUS_DIR}/service-main.c
	#	${BUS_SOURCES} 
	)

	add_executable(dbus-service ${dbus_service_SOURCES} )
	target_link_libraries(dbus-service ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
	set_target_properties(dbus-service PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
	install_targets(/bin dbus-service )
endif (DBUS_SERVICE)

if (DBUS_BUILD_TESTS)	
	add_executable(bus-test ${BUS_SOURCES} ${BUS_DIR}/test-main.c)
	target_link_libraries(bus-test ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
	set_target_properties(bus-test PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
	add_test(bus-test ${EXECUTABLE_OUTPUT_PATH}/bus-test ${CMAKE_BINARY_DIR}/test/data)
endif (DBUS_BUILD_TESTS)

if(MSVC)
	project_source_group(${GROUP_CODE} bus_test_SOURCES dummy)
endif(MSVC)

## mop up the gcov files
#clean-local:
#	/bin/rm *.bb *.bbg *.da *.gcov || true

#install-data-hook:
#	$(mkinstalldirs) $(DESTDIR)/$(localstatedir)/run/dbus
#	$(mkinstalldirs) $(DESTDIR)/$(configdir)/system.d
#	$(mkinstalldirs) $(DESTDIR)/$(datadir)/dbus-1/services

##install_file(${configdir}/system.d FILE


set(LAUNCH_HELPER_SOURCES ${XML_SOURCES}
    ${BUS_DIR}/config-parser-common.c
    ${BUS_DIR}/config-parser-trivial.c
    ${BUS_DIR}/desktop-file.c
    ${BUS_DIR}/utils.c
    ${BUS_DIR}/activation-helper.c

)

if(NOT WIN32)
# TODO PENDING(kdab) fix build on windows (activation-helper.c)
   add_executable(dbus-daemon-launch-helper ${LAUNCH_HELPER_SOURCES} ${BUS_DIR}/activation-helper-bin.c )
   target_link_libraries(dbus-daemon-launch-helper ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   
   add_executable(dbus-daemon-launch-helper-test ${LAUNCH_HELPER_SOURCES}     ${BUS_DIR}/activation-helper-bin.c)
   set_target_properties(dbus-daemon-launch-helper-test PROPERTIES COMPILE_FLAGS "-DACTIVATION_LAUNCHER_TEST")
   target_link_libraries(dbus-daemon-launch-helper-test ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   
   add_executable(bus-test-launch-helper ${LAUNCH_HELPER_SOURCES}  ${BUS_DIR}/test-launch-helper.c)
   set_target_properties(bus-test-launch-helper PROPERTIES COMPILE_FLAGS "-DACTIVATION_LAUNCHER_TEST -DACTIVATION_LAUNCHER_DO_OOM")
   target_link_libraries(bus-test-launch-helper ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   add_test(bus-test-launch-helper ${EXECUTABLE_OUTPUT_PATH}/bus-test-launch-helper )

endif(NOT WIN32)

#### Init scripts fun
#SCRIPT_IN_FILES=messagebus.in
#		rc.messagebus.in

## Red Hat start
#if DBUS_INIT_SCRIPTS_RED_HAT

#initddir=$(sysconfdir)/rc.d/init.d

#initd_SCRIPTS= 	
#	messagebus

#endif
# ## Red Hat end

## Slackware start
#if DBUS_INIT_SCRIPTS_SLACKWARE

#initddir=$(sysconfdir)/rc.d/

#initd_SCRIPTS= 	
#	rc.messagebus

#endif
## Slackware end

#MAN_IN_FILES=dbus-daemon.1.in
#man_MANS = dbus-daemon.1

#### Extra dist 

#EXTRA_DIST=$(CONFIG_IN_FILES) $(SCRIPT_IN_FILES) $(man_MANS) $(MAN_IN_FILES)

=== debian/changelog ===
dbus (1.6.8-1ubuntu3) raring; urgency=low

  * Mark libdbus-1-dev as Multi-Arch same.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Jan 2013 17:36:51 +0000

dbus (1.6.8-1ubuntu2) raring; urgency=low

  * The tests are not run diring the build. Configure with --disable-tests,
    drop the build dependencies needed for the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Jan 2013 17:03:23 +0100

dbus (1.6.8-1ubuntu1) raring; urgency=low

  * Resynchronize on Debian, see 1.6.4-1ubuntu1 and 1.6.4-1ubuntu3 for a 
    summary of the Ubuntu changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 15:31:11 +0100

dbus (1.6.8-1) unstable; urgency=low

  * Merge from experimental
  * New upstream stable release 1.6.6
    - CVE-2012-3524: mitigates arbitrary code execution in setuid or otherwise
      privileged binaries that use libdbus without first sanitizing the
      environment variables inherited from their less-privileged caller
      (Closes: #689070)
  * New upstream stable release 1.6.8
    - Revert part of 1.6.6 (do not check filesystem capabilities, only
      setuid/setgid), fixing regressions in certain configurations of
      gnome-keyring

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Sep 2012 13:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
 #              libsystemd-daemon-dev (>= 32) [linux-any],
 #              libsystemd-login-dev (>= 32) [linux-any],
                libx11-dev,
-               python (>= 2.6),
-               python-dbus,
-               python-gobject,
+#              python (>= 2.6),
+#              python-dbus,
+#              python-gobject,
                xmlto,
                xsltproc
 Standards-Version: 3.9.3
@@ -132,6 +132,7 @@
 Package: libdbus-1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libdbus-1-3 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 LDFLAGS += -Wl,--as-needed
 
+
 common_configure_flags := \
 		--disable-silent-rules \
 		--disable-libaudit \
@@ -21,6 +22,15 @@
 		--libexecdir=\$${prefix}/lib/dbus-1.0 \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		$(NULL)
+
+# the stage stuff isn't needed yet, because the testsuite isn't run by default
+#ifeq ($(DEB_STAGE),stage1)
+#  common_configure_flags += --disable-tests
+#else
+#  debug_configure_flags = --enable-tests
+#endif
+common_configure_flags += --disable-tests
+#debug_configure_flags = --enable-tests
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -35,11 +45,11 @@
 		--builddirectory=build-debug \
 		-- \
 		$(common_configure_flags) \
+		$(debug_configure_flags) \
 		--disable-xml-docs \
 		--disable-doxygen-docs \
 		--enable-asserts \
 		--enable-checks \
-		--enable-tests \
 		--enable-verbose-mode \
 		--prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build \
 		--libdir='$${prefix}/lib' \

## dbus 1.6.12

=== debian/changelog ===
dbus (1.6.12-0ubuntu10) saucy; urgency=low

  * debian/patches/aa-mediation.patch: Attempt to open() the mask file in
    apparmorfs/features/dbus rather than simply stat() the dbus directory.
    This is an important difference because AppArmor does not mediate the
    stat() syscall. This resulted in problems in an environment where
    dbus-daemon, running inside of an LXC container, did not have the
    necessary AppArmor rules to access apparmorfs but the stat() succeeded
    so mediation was not properly disabled. (LP: #1238267)
    This problem was exposed after dropping aa-kernel-compat-check.patch
    because the compat check was an additional check that performed a test
    query. The test query was failing in the above scenario, which did result
    in mediation being disabled.
  * debian/patches/aa-get-connection-apparmor-security-context.patch,
    debian/patches/aa-mediate-eavesdropping.patch: Refresh these patches to
    accomodate the above change

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 10 Oct 2013 10:40:26 -0700

dbus (1.6.12-0ubuntu9) saucy; urgency=low

  * debian/patches/aa-mediate-eavesdropping.patch: Fix a regression that
    caused dbus-daemon to segfault when AppArmor mediation is disabled, or
    unsupported by the kernel, and an application attempts to eavesdrop
    (LP: #1237059)

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 08 Oct 2013 17:58:36 -0700

dbus (1.6.12-0ubuntu8) saucy; urgency=low

  * debian/patches/aa-kernel-compat-check.patch: Drop this patch. It was a
    temporary compatibility check to paper over incompatibilities between
    dbus-daemon, libapparmor, and the AppArmor kernel code while AppArmor
    D-Bus mediation was in development.
  * debian/patches/aa-mediation.patch: Fix a bug that resulted in all actions
    denied by AppArmor to be audited. Auditing such actions is the default,
    but it should be possible to quiet audit messages by using the "deny"
    AppArmor rule modifier. (LP: #1226356)
  * debian/patches/aa-mediation.patch: Fix a bug in the code that builds
    AppArmor queries for the process that is receiving a message. The
    message's destination was being used, as opposed to the message's source,
    as the peer name in the query string. (LP: #1233895)
  * debian/patches/aa-mediate-eavesdropping.patch: Don't allow applications
    that are confined by AppArmor to eavesdrop. Ideally, this would be
    configurable with AppArmor policy, but the parser does not yet support
    any type of eavesdropping permission. For now, confined applications will
    simply not be allowed to eavesdrop. (LP: #1229280)

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 04 Oct 2013 09:59:21 -0700

dbus (1.6.12-0ubuntu7) saucy; urgency=low

  * Enable log output in session dbus upstart job.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 04 Oct 2013 10:21:15 +0100

dbus (1.6.12-0ubuntu6) saucy; urgency=low

  * Specify --fork to dbus-daemon in upstart user-session mode, to get the
    daemon readiness information and emit started dbus, when dbus is
    actually ready to operate. (LP: #1234731)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 Oct 2013 17:32:15 +0100

dbus (1.6.12-0ubuntu5) saucy; urgency=low

  * Add support for mediation of D-Bus messages and services. AppArmor D-Bus
    rules are described in the apparmor.d(5) man page. dbus-daemon will use
    libapparmor to perform queries against the AppArmor policies to determine
    if a connection should be able to send messages to another connection, if
    a connection should be able to receive messages from another connection,
    and if a connection should be able to bind to a well-known name.
    - debian/patches/aa-build-tools.patch: Update build files to detect and
      build against libapparmor
    - debian/patches/aa-mediation.patch: Support AppArmor mediation of D-Bus
      messages and services. By default, AppArmor mediation is enabled if
      AppArmor is available. To disable AppArmor mediation, place
      '<apparmor mode="disabled"/>' in each bus configuration file. See the
      dbus-daemon(1) man page for more details.
    - debian/patches/aa-get-connection-apparmor-security-context.patch: Add an
      org.freedesktop.DBus.GetConnectionAppArmorSecurityContext method that
      takes the unique name of a connection as input and returns the AppArmor
      label attached to the connection
    - debian/patches/aa-kernel-compat-check.patch: Perform a compatibility
      check of dbus, libapparmor, and the AppArmor kernel code during
      initialization to determine if everything is in place to perform
      AppArmor mediation. This is a temporary patch to overcome some potential
      incompatabilities during the Saucy development release and should be
      dropped prior to Saucy's release.
    - debian/control: Add libapparmor-dev as a Build-Depends
    - debian/rules: Specify that D-Bus should be built against libapparmor
      during the configure stage of the build
  * debian/patches/aa-mediation.patch: Clean up the AppArmor initialization
    - Don't treat any errors from aa_is_enabled() as fatal unless the AppArmor
      D-Bus mode is set to "required". This should fix errors when various
      test cases need to start dbus-daemon on buildds. (LP: #1217598)
    - Don't print to stderr during initialization unless an error has
      occurred (LP: #1217710)
    - Don't redefine _dbus_warn() to syslog(). A previous comment left in the
      code suggested that _dbus_warn() caused segfaults. Testing proves that
      is not the case.
  * debian/patches/aa-get-connection-apparmor-security-context.patch: Refresh
    patch to fix offset warnings after modifying aa-mediation.patch

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 28 Aug 2013 13:26:13 -0700

dbus (1.6.12-0ubuntu2) saucy; urgency=low

  * dump DBUS_SESSION_BUS_ADDRESS into ~/.dbus-session, so we can source it

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 16 Jul 2013 19:56:35 +0200



## dbus 1.6.18

=== cmake/bus/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,10 @@
 
 # config files for installation 
 CONFIGURE_FILE( "${BUS_DIR}/session.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/session.conf" IMMEDIATE @ONLY)
+FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/session.d)
+
 CONFIGURE_FILE( "system.conf.cmake" "${CMAKE_CURRENT_BINARY_DIR}/system.conf" IMMEDIATE @ONLY)
+FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/system.d)
 
 # copy services for local daemon start to local service dir data/dbus-1/services
 SET (SERVICE_FILES test/data/valid-service-files)

=== cmake/dbus/CMakeLists.txt ===
project(dbus-lib)

SET(DBUS_DIR ${CMAKE_SOURCE_DIR}/../dbus)

configure_file(${DBUS_DIR}/dbus-arch-deps.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbus-arch-deps.h )

add_definitions(-DDBUS_COMPILATION)

set (dbusinclude_HEADERS
	${DBUS_DIR}/dbus.h
	${DBUS_DIR}/dbus-address.h
	${DBUS_DIR}/dbus-bus.h
	${DBUS_DIR}/dbus-connection.h
	${DBUS_DIR}/dbus-errors.h
	${DBUS_DIR}/dbus-macros.h
	${DBUS_DIR}/dbus-memory.h
	${DBUS_DIR}/dbus-message.h
	${DBUS_DIR}/dbus-misc.h
	${DBUS_DIR}/dbus-pending-call.h
	${DBUS_DIR}/dbus-protocol.h
	${DBUS_DIR}/dbus-server.h
	${DBUS_DIR}/dbus-shared.h
	${DBUS_DIR}/dbus-signature.h
	${DBUS_DIR}/dbus-syntax.h
	${DBUS_DIR}/dbus-threads.h
	${DBUS_DIR}/dbus-types.h
	dbus-arch-deps.h
)

### source code that goes in the installed client library
### and is specific to library functionality
set (DBUS_LIB_SOURCES
	${DBUS_DIR}/dbus-address.c
	${DBUS_DIR}/dbus-auth.c
	${DBUS_DIR}/dbus-bus.c
	${DBUS_DIR}/dbus-connection.c
	${DBUS_DIR}/dbus-credentials.c
	${DBUS_DIR}/dbus-errors.c
	${DBUS_DIR}/dbus-keyring.c
	${DBUS_DIR}/dbus-marshal-header.c
	${DBUS_DIR}/dbus-marshal-byteswap.c
	${DBUS_DIR}/dbus-marshal-recursive.c
	${DBUS_DIR}/dbus-marshal-validate.c
	${DBUS_DIR}/dbus-message.c
	${DBUS_DIR}/dbus-misc.c
	${DBUS_DIR}/dbus-nonce.c
	${DBUS_DIR}/dbus-object-tree.c
	${DBUS_DIR}/dbus-pending-call.c
	${DBUS_DIR}/dbus-resources.c
	${DBUS_DIR}/dbus-server.c
	${DBUS_DIR}/dbus-server-socket.c
	${DBUS_DIR}/dbus-server-debug-pipe.c
	${DBUS_DIR}/dbus-sha.c
	${DBUS_DIR}/dbus-signature.c
	${DBUS_DIR}/dbus-syntax.c
	${DBUS_DIR}/dbus-timeout.c
	${DBUS_DIR}/dbus-threads.c
	${DBUS_DIR}/dbus-transport.c
	${DBUS_DIR}/dbus-transport-socket.c
	${DBUS_DIR}/dbus-watch.c
)


if(UNIX)
	set (DBUS_LIB_SOURCES ${DBUS_LIB_SOURCES} 
		${DBUS_DIR}/dbus-transport-unix.c
		${DBUS_DIR}/dbus-server-unix.c
	)
else(UNIX)
	set (DBUS_LIB_SOURCES ${DBUS_LIB_SOURCES} 
		${DBUS_DIR}/dbus-transport-win.c
		${DBUS_DIR}/dbus-server-win.c
	)
endif(UNIX)

set (DBUS_LIB_HEADERS
	${DBUS_DIR}/dbus-auth.h
	${DBUS_DIR}/dbus-connection-internal.h
	${DBUS_DIR}/dbus-credentials.h
	${DBUS_DIR}/dbus-keyring.h
	${DBUS_DIR}/dbus-marshal-header.h
	${DBUS_DIR}/dbus-marshal-byteswap.h
	${DBUS_DIR}/dbus-marshal-recursive.h
	${DBUS_DIR}/dbus-marshal-validate.h
	${DBUS_DIR}/dbus-message-internal.h
	${DBUS_DIR}/dbus-message-private.h
	${DBUS_DIR}/dbus-misc.h
	${DBUS_DIR}/dbus-object-tree.h
	${DBUS_DIR}/dbus-protocol.h
	${DBUS_DIR}/dbus-resources.h
	${DBUS_DIR}/dbus-server-debug-pipe.h
	${DBUS_DIR}/dbus-server-protected.h
	${DBUS_DIR}/dbus-server-unix.h
	${DBUS_DIR}/dbus-sha.h
	${DBUS_DIR}/dbus-timeout.h
	${DBUS_DIR}/dbus-threads.h
	${DBUS_DIR}/dbus-threads-internal.h
	${DBUS_DIR}/dbus-transport.h
	${DBUS_DIR}/dbus-transport-protected.h
	${DBUS_DIR}/dbus-watch.h
	${CMAKE_BINARY_DIR}/config.h
)
if(UNIX)
	set (DBUS_LIB_HEADERS ${DBUS_LIB_HEADERS} 
		${DBUS_DIR}/dbus-transport-unix.h
	)
else(UNIX)
	set (DBUS_LIB_HEADERS ${DBUS_LIB_HEADERS} 
		${DBUS_DIR}/dbus-transport-win.h
	)
endif(UNIX)


### source code that goes in the installed client library
### AND is generic utility functionality used by the 
### daemon or test programs (all symbols in here should 
### be underscore-prefixed)
set (DBUS_SHARED_SOURCES
	${DBUS_DIR}/dbus-dataslot.c
	${DBUS_DIR}/dbus-file.c
	${DBUS_DIR}/dbus-hash.c
	${DBUS_DIR}/dbus-internals.c
	${DBUS_DIR}/dbus-list.c
	${DBUS_DIR}/dbus-marshal-basic.c
	${DBUS_DIR}/dbus-memory.c
	${DBUS_DIR}/dbus-mempool.c
	${DBUS_DIR}/dbus-string.c
	${DBUS_DIR}/dbus-sysdeps.c
	${DBUS_DIR}/dbus-pipe.c
)

set (DBUS_SHARED_HEADERS
	${DBUS_DIR}/dbus-dataslot.h
	${DBUS_DIR}/dbus-file.h
	${DBUS_DIR}/dbus-hash.h
	${DBUS_DIR}/dbus-internals.h
	${DBUS_DIR}/dbus-list.h
	${DBUS_DIR}/dbus-marshal-basic.h
	${DBUS_DIR}/dbus-mempool.h
	${DBUS_DIR}/dbus-string.h
	${DBUS_DIR}/dbus-string-private.h
	${DBUS_DIR}/dbus-pipe.h
	${DBUS_DIR}/dbus-sysdeps.h
)

### source code that is generic utility functionality used
### by the bus daemon or test apps, but is NOT included
### in the D-BUS client library (all symbols in here 
### should be underscore-prefixed but don't really need 
### to be unless they move to DBUS_SHARED_SOURCES later)
set (DBUS_UTIL_SOURCES
	${DBUS_DIR}/dbus-auth-script.c
	${DBUS_DIR}/dbus-auth-util.c
	${DBUS_DIR}/dbus-credentials-util.c
	${DBUS_DIR}/dbus-mainloop.c
	${DBUS_DIR}/dbus-marshal-byteswap-util.c
	${DBUS_DIR}/dbus-marshal-recursive-util.c
	${DBUS_DIR}/dbus-marshal-validate-util.c
	${DBUS_DIR}/dbus-message-factory.c
	${DBUS_DIR}/dbus-message-util.c
	${DBUS_DIR}/dbus-shell.c
	${DBUS_DIR}/dbus-socket-set.c
	${DBUS_DIR}/dbus-socket-set-poll.c
	${DBUS_DIR}/dbus-string-util.c
	${DBUS_DIR}/dbus-sysdeps-util.c
)

if (DBUS_BUILD_TESTS)
	set (DBUS_UTIL_SOURCES 
		${DBUS_UTIL_SOURCES}
		${DBUS_DIR}/dbus-test.c
	)
endif (DBUS_BUILD_TESTS)

set (DBUS_UTIL_HEADERS
	${DBUS_DIR}/dbus-auth-script.h
	${DBUS_DIR}/dbus-mainloop.h
	${DBUS_DIR}/dbus-message-factory.h
	${DBUS_DIR}/dbus-shell.h
	${DBUS_DIR}/dbus-socket-set.h
	${DBUS_DIR}/dbus-spawn.h
	${DBUS_DIR}/dbus-test.h
)

### platform specific settings
if (WIN32)
	set (DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES} 
		${DBUS_DIR}/dbus-file-win.c
		${DBUS_DIR}/dbus-sysdeps-win.c
		${DBUS_DIR}/dbus-pipe-win.c
		${DBUS_DIR}/dbus-sysdeps-thread-win.c
	)
	set (DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS} 
		${DBUS_DIR}/dbus-sockets-win.h
		${DBUS_DIR}/dbus-sysdeps-win.h
	)
	set (DBUS_UTIL_SOURCES ${DBUS_UTIL_SOURCES}
		${DBUS_DIR}/dbus-spawn-win.c
		${DBUS_DIR}/dbus-sysdeps-util-win.c
	)
	if(WINCE)
	set (DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES}
		${DBUS_DIR}/dbus-sysdeps-wince-glue.c
	)
	set (DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS}
		${DBUS_DIR}/dbus-sysdeps-wince-glue.h
	)
	endif(WINCE)
else (WIN32)
	set (DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES} 
		${DBUS_DIR}/dbus-file-unix.c
		${DBUS_DIR}/dbus-pipe-unix.c
		${DBUS_DIR}/dbus-sysdeps-unix.c
		${DBUS_DIR}/dbus-sysdeps-pthread.c
		${DBUS_DIR}/dbus-userdb.c
        ${DBUS_DIR}/sd-daemon.c
	)
	set (DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS} 
		${DBUS_DIR}/dbus-server-unix.h
		${DBUS_DIR}/dbus-transport-unix.h
		${DBUS_DIR}/dbus-sysdeps-unix.h
		${DBUS_DIR}/dbus-userdb.h
        ${DBUS_DIR}/sd-daemon.h
	)
	set (DBUS_UTIL_SOURCES ${DBUS_UTIL_SOURCES}
		${DBUS_DIR}/dbus-spawn.c
		${DBUS_DIR}/dbus-userdb-util.c
		${DBUS_DIR}/dbus-sysdeps-util-unix.c
	)
endif (WIN32)

set(libdbus_SOURCES
	${DBUS_LIB_SOURCES}
	${DBUS_SHARED_SOURCES}
)

set(libdbus_HEADERS 
	${DBUS_LIB_HEADERS}
	${DBUS_SHARED_HEADERS}
)
if (MSVC)
    set (BUILD_FILEVERSION ${DBUS_MAJOR_VERSION},${DBUS_MINOR_VERSION},${DBUS_MICRO_VERSION},${DBUS_PATCH_VERSION})
    set (BUILD_TIMESTAMP ${DBUS_BUILD_TIMESTAMP})
    
    configure_file(${DBUS_DIR}/versioninfo.rc.in ${CMAKE_CURRENT_BINARY_DIR}/versioninfo.rc)
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/afxres.h "")
    list(APPEND libdbus_SOURCES versioninfo.rc)
    set_source_files_properties(versioninfo.rc COMPILE_FLAGS "-D__LINE__=1")
endif (MSVC)

if(MSVC_IDE)
	project_source_group(${GROUP_CODE} DBUS_LIB_SOURCES DBUS_LIB_HEADERS)
	project_source_group(${GROUP_CODE} DBUS_SHARED_SOURCES DBUS_SHARED_HEADERS)
	project_source_group(${GROUP_CODE} DBUS_UTIL_SOURCES DBUS_UTIL_SOURCES)
endif(MSVC_IDE)

### Client library

add_library(dbus-1 SHARED
			${libdbus_SOURCES}
			${libdbus_HEADERS}
)
if(WIN32)
    if(WINCE)
        target_link_libraries(dbus-1 ws2)
    else(WINCE)
        target_link_libraries(dbus-1 ws2_32 advapi32 netapi32)
    endif(WINCE)
else(WIN32)
    target_link_libraries(dbus-1 ${CMAKE_THREAD_LIBS_INIT})
endif(WIN32)

install_targets(/lib dbus-1 )
install_files(/include/dbus FILES ${dbusinclude_HEADERS})

### Internal library, used for the daemon, tools and tests, compiled statically.

add_library(dbus-internal ${DBUS_INTERNAL_ADD_LIBRARY_OPTIONS}
			${DBUS_LIB_SOURCES}
			${DBUS_LIB_HEADERS}
			${DBUS_SHARED_SOURCES}
			${DBUS_SHARED_HEADERS}
			${DBUS_UTIL_SOURCES}
			${DBUS_UTIL_HEADERS}
)
target_link_libraries(dbus-internal)
set_target_properties(dbus-internal PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_LIBRARY_DEFINITIONS})
if(WIN32)
    if(WINCE)
        target_link_libraries(dbus-internal ws2)
    else(WINCE)
        target_link_libraries(dbus-internal ws2_32 advapi32 netapi32)
    endif(WINCE)
else(WIN32)
    target_link_libraries(dbus-internal ${CMAKE_THREAD_LIBS_INIT})
endif(WIN32)

if (DBUS_BUILD_TESTS)
	set (TESTS_ENVIRONMENT "DBUS_TEST_DATA=${CMAKE_SOURCE_DIR}/test/data DBUS_TEST_HOMEDIR=${CMAKE_BUILD_DIR}/dbus")
	ADD_EXECUTABLE(dbus-test ${CMAKE_SOURCE_DIR}/../dbus/dbus-test-main.c)
	target_link_libraries(dbus-test ${DBUS_INTERNAL_LIBRARIES})
	add_test(dbus-test ${EXECUTABLE_OUTPUT_PATH}/dbus-test ${CMAKE_SOURCE_DIR}/../test/data)
	set_target_properties(dbus-test PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
ENDIF (DBUS_BUILD_TESTS)

if (UNIX)
# set version info
ENDIF (UNIX)


## mop up the gcov files
#clean-local:
#/bin/rm *.bb *.bbg *.da *.gcov .libs/*.da .libs/*.bbg || true

=== cmake/test/CMakeLists.txt ===
project(test)

add_definitions(${DBUS_INTERNAL_CLIENT_DEFINITIONS})

add_library(dbus-testutils STATIC
    ${CMAKE_SOURCE_DIR}/../test/test-utils.h
    ${CMAKE_SOURCE_DIR}/../test/test-utils.c
)
target_link_libraries(dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

add_subdirectory( name-test )

set (test-service_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-service.c
)

set (test-names_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-names.c
)

set (break_loader_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/break-loader.c
)

set (test-shell-service_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-shell-service.c
)

set (shell-test_SOURCES
        ${CMAKE_SOURCE_DIR}/../test/shell-test.c
)

set (spawn-test_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/spawn-test.c
)

set (test-exit_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-exit.c
)

set (test-segfault_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-segfault.c
)

set (test-sleep-forever_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-sleep-forever.c
)

add_executable(test-service ${test-service_SOURCES})
target_link_libraries(test-service dbus-testutils)

add_executable(test-names ${test-names_SOURCES})
target_link_libraries(test-names dbus-testutils)

add_executable(shell-test ${shell-test_SOURCES})
target_link_libraries(shell-test ${DBUS_INTERNAL_LIBRARIES})
ADD_TEST(shell-test ${EXECUTABLE_OUTPUT_PATH}/shell-test${EXEEXT})

add_executable(test-shell-service ${test-shell-service_SOURCES})
target_link_libraries(test-shell-service dbus-testutils)

add_executable(spawn-test ${spawn-test_SOURCES})
target_link_libraries(spawn-test ${DBUS_INTERNAL_LIBRARIES})

add_executable(test-exit ${test-exit_SOURCES})
target_link_libraries(test-exit ${DBUS_INTERNAL_LIBRARIES})

add_executable(test-segfault ${test-segfault_SOURCES})
target_link_libraries(test-segfault ${DBUS_INTERNAL_LIBRARIES})

add_executable(test-sleep-forever ${test-sleep-forever_SOURCES})
target_link_libraries(test-sleep-forever ${DBUS_INTERNAL_LIBRARIES})

### keep these in creation order, i.e. uppermost dirs first 
set (TESTDIRS
    test/data
    test/data/valid-messages
    test/data/invalid-messages
    test/data/incomplete-messages
    test/data/auth
    test/data/sha-1
    test/data/valid-config-files
    test/data/valid-config-files/basic.d
    test/data/valid-config-files/system.d
    test/data/valid-config-files-system
    test/data/valid-introspection-files
    test/data/valid-messages
    test/data/valid-service-files
    test/data/valid-service-files-system
    test/data/invalid-config-files
    test/data/invalid-config-files-system
    test/data/invalid-messages
    test/data/invalid-service-files-system
    test/data/equiv-config-files
    test/data/equiv-config-files/basic
    test/data/equiv-config-files/basic/basic.d
    test/data/equiv-config-files/entities
    test/data/equiv-config-files/entities/basic.d
)
set (CONFIG_VERBOSE 0)

### copy tests to builddir so that generated tests and static tests 
### are all in one place.
MESSAGE(STATUS "Copying test files to test directory")
FOREACH(FILE_TYPE *.message *.message-raw *.auth-script *.sha1 *.txt *.conf *.service)
    FOREACH(DIR ${TESTDIRS})
        FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${DIR}/${FILE_TYPE}" )
        FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/${DIR})
        FOREACH(FILE ${FILES})
            GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME)
            SET (TARGET ${CMAKE_BINARY_DIR}/${DIR}/${FILENAME})
            configure_file(${FILE} ${TARGET} COPYONLY)
            IF (CONFIG_VERBOSE)
                MESSAGE("${FILE}")
            ENDIF (CONFIG_VERBOSE)
        ENDFOREACH(FILE)
    ENDFOREACH(DIR)
ENDFOREACH(FILE_TYPE)

### generate test files
MESSAGE(STATUS "Generating test files from templates into test directory")

FOREACH(FILE_TYPE *.conf.in *.service.in)
  FOREACH(DIR ${TESTDIRS})
    FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${DIR}/${FILE_TYPE}" )
    FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/${DIR})
    FOREACH(FILE ${FILES})
      GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME)
      STRING(REGEX REPLACE "\\.in$" "" FILENAME ${FILENAME})
      SET (TARGET ${CMAKE_BINARY_DIR}/${DIR}/${FILENAME})
      configure_file(${FILE} ${TARGET} @ONLY IMMEDIATE)
      IF (CONFIG_VERBOSE)
        MESSAGE("${FILE}")
      ENDIF (CONFIG_VERBOSE)
    ENDFOREACH(FILE)
  ENDFOREACH(DIR)
ENDFOREACH(FILE_TYPE)

MESSAGE(STATUS "Copying generated bus config files to test directory")
set (OUTDIR ${CMAKE_BINARY_DIR}/test/data/valid-config-files)

FILE(GLOB FILES "${CMAKE_BINARY_DIR}/bus/*.conf" )
FILE(MAKE_DIRECTORY ${OUTDIR})
FOREACH(FILE ${FILES})
    GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME)
    SET (TARGET ${OUTDIR}/${FILENAME})
    configure_file(${FILE} ${TARGET} COPYONLY)
    IF (CONFIG_VERBOSE)
        MESSAGE("FROM: ${FILE}\nTO: ${TARGET}\n")
    ENDIF (CONFIG_VERBOSE)
ENDFOREACH(FILE)

# todo: for installation the TEST_..._BINARY variables must reflect the 
#       installation dir or has to be defined relative
#

=== cmake/tools/CMakeLists.txt ===
project(tools)

set (dbus_send_SOURCES
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h			
	../../tools/dbus-send.c
)

set (dbus_monitor_SOURCES
	../../tools/dbus-monitor.c				
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h
)

if (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch-win.c
)
else (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch.c
)
endif (WIN32)

if (DBUS_BUILD_X11)
set (dbus_launch_SOURCES
     ${dbus_launch_SOURCES}
     ../../tools/dbus-launch-x11.c
)
endif(DBUS_BUILD_X11)

set (dbus_cleanup_sockets_SOURCES
	../../tools/dbus-cleanup-sockets.c
)

add_executable(dbus-send ${dbus_send_SOURCES})
target_link_libraries(dbus-send ${DBUS_LIBRARIES})
install_targets(/bin dbus-send )

add_executable(dbus-launch ${dbus_launch_SOURCES})
target_link_libraries(dbus-launch )
if (DBUS_BUILD_X11)
  target_link_libraries(dbus-launch ${X11_LIBRARIES} )
endif (DBUS_BUILD_X11)
install_targets(/bin dbus-launch )

add_executable(dbus-monitor ${dbus_monitor_SOURCES})
target_link_libraries(dbus-monitor ${DBUS_LIBRARIES})
install_targets(/bin dbus-monitor )

=== debian/changelog ===
dbus (1.6.18-0ubuntu4) trusty; urgency=medium

  * Create ~/.cache/upstart if it doesn't already exist.
    Thanks to Ryan Lovett for the patch. (LP: #1300516)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 17:53:17 -0400

dbus (1.6.18-0ubuntu3) trusty; urgency=low

  * aa-mediate-eavesdropping.patch: Query AppArmor when confined applications
    attempt to eavesdrop on the bus. See the apparmor.d(5) man page for
    AppArmor syntax details. (LP: #1262440)
  * debian/control: Depend on the apparmor version containing the new
    eavesdrop permission

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 13 Jan 2014 11:45:21 -0600

dbus (1.6.18-0ubuntu2) trusty; urgency=low

  [ James Hunt ]
  * debian/dbus.user-session.upstart: Communicate session bus to Upstart
    Session Init to avoid potential out-of-memory scenario triggered by
    Upstart clients that do not run main loops (LP: #1235649, LP: #1252317).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 19 Nov 2013 11:14:58 +0000

dbus (1.6.18-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Nov 2013 18:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,9 @@
                libdbus-glib-1-dev,
                libglib2.0-dev (>= 2.31.4),
                libselinux1-dev [linux-any],
-#              libsystemd-daemon-dev (>= 32) [linux-any],
-#              libsystemd-login-dev (>= 32) [linux-any],
+               libapparmor-dev (>= 2.8.0-0ubuntu38) [linux-any],
+               libsystemd-daemon-dev (>= 32) [linux-any],
+               libsystemd-login-dev (>= 32) [linux-any],
                libx11-dev,
 #              python (>= 2.6),
 #              python-dbus,
@@ -49,7 +50,8 @@
          adduser,
          lsb-base (>= 3.2-14),
          upstart (>= 0.6.3-6),
-         netbase (>= 4.45ubuntu3),
+         netbase (>= 4.45ubuntu3)
+Recommends: libpam-systemd
 Breaks: unity-services (<< 6.0.0-0ubuntu6)
 Suggests: dbus-x11
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 common_configure_flags := \
 		--disable-silent-rules \
 		--disable-libaudit \
+		--enable-apparmor \
+		--enable-systemd \
 		--enable-installed-tests \
 		--libexecdir=\$${prefix}/lib/dbus-1.0 \
 		--with-systemdsystemunitdir=/lib/systemd/system \
@@ -83,6 +85,7 @@
 		lib/$(DEB_HOST_MULTIARCH)
 	dh_install --remaining-packages --list-missing
 	install -m 644 -D debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/75dbus_dbus-launch
+	install -m 644 -D debian/dbus.user-session.upstart debian/dbus/usr/share/upstart/sessions/dbus.conf
 
 override_dh_installinit:
 	dh_installinit -pdbus -r -- start 12 2 3 4 5 .

=== debian/watch ===
version=3

http://dbus.freedesktop.org/releases/dbus/dbus-(\d+\.\d*[02468]\..*)\.tar\.gz
